%global         debug_package %{nil}
%global         upstream_name libgoogle-data-mono

Name:           gdata-sharp
Version:        1.4.0.2
Release:        3%{?dist}
Summary:        .NET library for the Google Data API

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/google-gdata/
Source0:        http://google-gdata.googlecode.com/files/%{upstream_name}-%{version}.tar.gz
# fixed in SVN:
# http://code.google.com/p/google-gdata/source/detail?spec=svn933&r=890
Patch0:         %{upstream_name}-1.4.0.2-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel mono-nunit
#Requires:       

%description
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1 -b .pkgconfig

sed -i "s|\$(PREFIX)/lib|\$(PREFIX)/%{_lib}|g" Makefile

for i in misc/*.pc.in; do
  sed -i "s|libdir=\${prefix}/lib|libdir=\${prefix}/%{_lib}|" "$i"
done


%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%check
# currently 98 tests out of 921 fail
# make test


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt RELEASE_NOTES.HTML
%{_libdir}/mono/GData-Sharp
%{_libdir}/mono/gac/Google.GData.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gdata-sharp-*.pc


%changelog
* Wed Sep 23 2009 Michel Salim <salimma@fedoraproject.org> - 1.4.0.2-3
- Replace %%define with %%global 

* Thu Sep  3 2009 Michel Salim <salimma@fedoraproject.org> - 1.4.0.2-2
- Build against latest mono-nunit

* Fri Aug 21 2009 Michel Salim <salimma@fedoraproject.org> - 1.4.0.2-1
- Initial Fedora package

